%define kmod_name prefetch_tuning

Name: prefetch_tuning
Summary: CPU prefetch tuning module for Kunpeng 920
Version: 1.2
Release: 2
License: GPLv2
Source0: https://gitee.com/openeuler/prefetch_tuning/repository/archive/v%{version}.tar.gz
buildroot: %{_tmppath}/%{kmod_name}-%{version}-build

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  kernel-devel uname-build-checks
ExclusiveArch: aarch64

%description
The driver of CPU prefetch tuning module for Kunpeng 920.
Users can user this module to control CPU prefetch settings.

%global debug_package %{nil}

%prep
%setup -n %{kmod_name}
sed -i 's/EXTRA_CFLAGS += -Wall -Werror/EXTRA_CFLAGS += -Wall/g' Makefile

%build
%make_build

%install
mkdir -p %{buildroot}/lib/modules/%{kmod_name}
install -m 640 %{kmod_name}.ko   %{buildroot}/lib/modules/%{kmod_name}/%{kmod_name}.ko

%clean
rm -rf %{buildroot}
rm -rf %_builddir/%{kmod_name}-%{version}

%files
%license License/LICENSE
%defattr(-,root,root)
%dir /lib/modules/%{kmod_name}
%attr(0640,root,root)  /lib/modules/%{kmod_name}/%{kmod_name}.ko

%pre

%posttrans

%preun

%changelog
* Sat Jan 29 2022 Bin Hu <hubin73@huawei.com> - 1.2-2
- fix obs build problem

* Mon Nov 16 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 1.2-1
- upgrade to v1.2

* Thu Sep 10 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 1.1-5
- update spec

* Thu Sep 10 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 1.1-4
- fix exclusiveArch to ExclusiveArch

* Wed Sep 9 2020 Liuke <liuke64@huawei.com> - 1.1-3
- Specify the architecture and enable compiling on ARM64 only.

* Mon Sep 7 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 1.1-2
- update spec

* Mon Sep 7 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 1.1-1
- upgrade to v1.1

* Thu Aug 6 2020 hanxinke <hanxinke@huawei.com> - 1.0-3
- Fix the prefetch_tuning.ko loading

* Sat Feb 29 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0-2
- Fix warning exception caused by compilation options

* Mon Nov 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0-1
- Package init
